#include "bane.h"

using namespace std;

Bane::Bane() : Rute() {
    //lesData();
}

Bane::~Bane() {
}

void Bane::lesData() {
    antallVogner = lesInt("Antall vogner", MIN_ANTALL_VOGNER, MAX_ANTALL_VOGNER);
    baneLengde = lesInt("Banelengde", MIN_BANELENGDE, MAX_BANELENGDE);
}

void Bane::skrivData() {
    cout << "\n\t..::Bane info::.." << '\n';
    cout << "\n\tAntall vogner: " << antallVogner << '\n'
         << "\tBanelengde: " << baneLengde;
}

void Bane::skrivType() {
    cout << "Bane";
}

void Bane::skrivDataForlengs() {
    skrivData();
    Rute::skrivDataForlengs();
    cout << "\n\n";
}

void Bane::skrivDataBaklengs() {
    skrivData();
    Rute::skrivDataBaklengs();
    cout << "\n\n";
}

void Bane::lesFraFil(ifstream& inn) {
    int i = 0;
    string heleLinjen = "";
    getline(inn, heleLinjen);
    vector<string> linjenSplittet = hjelp.splittStreng('*', heleLinjen);
    for (const auto& val : linjenSplittet) {
        switch (i) {
            case 0:
                antallVogner = stoi(val);
                break;
            case 1:
                baneLengde = stoi(val);
                break;
        }
        i++;
    }
    Rute::lesFraFil(inn);
}

void Bane::skrivTilFil(ofstream& ut) {
    ut << "Bane" << '\n'
       << antallVogner << '*'
       << baneLengde << '*'
       << '\n';
    Rute::skrivTilFil(ut);
}